### Virtual Method

# Nautilus InfoProvider cancel_update

#### Declaration [src]

    void
    cancel_update (
      NautilusInfoProvider* provider,
      NautilusOperationHandle* handle
    )

#### Description [src]

Called when the Nautilus application has canceled an update.

This method is only relevant if `nautilus_info_provider_update_file_info()` was returned with `NAUTILUS_OPERATION_IN_PROGRESS`.

#### Parameters

`handle`

  Type: `NautilusOperationHandle`

  The opaque `NautilusOperationHandle` returned from a previous call to nautilus_info_provider_update_file_info().

  The data is owned by the caller of the method.